<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<app-onboarding-card [title]="title" [routeOnBack]="routeOnBack" [showClose]="true" (onClose)="onClose()" [wide]="wide">
  <div class="w-full h-full flex flex-col">
    <ng-template *ngIf="leading" [ngTemplateOutlet]="leading"></ng-template>
    <div class="w-full grow">
      <ng-content></ng-content>
    </div>
  </div>
</app-onboarding-card>
